#ifndef XGFXPACKEDPLACEMENT_H
#define XGFXPACKEDPLACEMENT_H

#include "xasset.h"
#include "xpackedunitvec.h"

#include <QVector>
#include <QVector3D>

class XGfxPackedPlacement : public XAsset
{
public:
    XGfxPackedPlacement();
    ~XGfxPackedPlacement();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mOrigin;
    QVector<XPackedUnitVec> mAxis;
    float mScale;
};

#endif // XGFXPACKEDPLACEMENT_H
